Bug 590285 - mdmon segmentation fault during boot
Summary: mdmon segmentation fault during boot
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mdadm   
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-08 15:49 UTC by lars@bistromatic.de
Modified: 2010-12-07 20:14 UTC (History)
2 users (show)

Fixed In Version: mdadm-3.1.3-0.git20100804.2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-07 20:12:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description lars@bistromatic.de 2010-05-08 15:49:03 UTC
Description of problem:


Version-Release number of selected component (if applicable):

F13 RC
mdadm-3.1.2-10.fc13.x86_64


How reproducible:

always


Steps to Reproduce:
1. Install F13 RC on a md partition (created with f12) using custom layout.
2. boot F13 RC
  
Actual results:

Boot message is:
...
Starting mdmon:  /etc/rc.d/init.d/functions: line 526:  1370 Segmentation fault      "$@" 	[FAILED]

Starting mdmon via: 'mdmon --all-active-arrays --takeover'
results in: Segmentation fault (core dumped)

Expected results:

No segmentation fault.

Additional info:

See http://www.smolts.org/client/show/pub_6383f5c5-f050-4005-a96d-1caffdc46f61

System has 4 discs. Two discs used by md/raid1.
Two discs used by ICH9R-fakeraid (raid1) for windows.

Comment 1 lars@bistromatic.de 2010-05-14 19:43:35 UTC
Still see this bug with F13RC3.

Comment 2 lars@bistromatic.de 2010-05-29 11:24:32 UTC
Still see this bug using F13.
The error message changed a little bit:

Starting mdmon:  /etc/rc.d/init.d/functions: line 526:  1625 Segmentation fault      "$@"    	[FAILED]

Comment 3 Doug Ledford 2010-07-20 22:55:37 UTC
This should be fixed now.

Comment 4 Fedora Update System 2010-07-22 15:36:26 UTC
mdadm-3.1.3-0.git20100722.1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mdadm-3.1.3-0.git20100722.1.fc13

Comment 5 Fedora Update System 2010-07-23 02:38:54 UTC
mdadm-3.1.3-0.git20100722.2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mdadm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mdadm-3.1.3-0.git20100722.2.fc13

Comment 6 lars@bistromatic.de 2010-07-24 12:14:32 UTC
I still get this bug.
Although, now I see it only in one of three or four reboots. It's still there.

During every reboot I get this message during udev start:

Starting udev: udevd-work[738]: '/sbin/mdadm -I /dev/sdc' unexpected exit with status 0x000b

In 50% it's sdc otherwise it's sdd. Both discs are used by an ICH9R fake raid for an NTFS volume. I don't use that volume under fedora, so it's not mounted during boot.

Comment 7 Fedora Update System 2010-08-05 14:25:24 UTC
mdadm-3.1.3-0.git20100804.2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mdadm-3.1.3-0.git20100804.2.fc13

Comment 8 Fedora Update System 2010-08-05 14:26:00 UTC
mdadm-3.1.3-0.git20100804.2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mdadm-3.1.3-0.git20100804.2.fc12

Comment 9 Fedora Update System 2010-08-05 14:26:38 UTC
mdadm-3.1.3-0.git20100804.2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/mdadm-3.1.3-0.git20100804.2.fc14

Comment 10 Fedora Update System 2010-08-05 23:29:37 UTC
mdadm-3.1.3-0.git20100804.2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mdadm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mdadm-3.1.3-0.git20100804.2.fc12

Comment 11 Fedora Update System 2010-08-05 23:53:09 UTC
mdadm-3.1.3-0.git20100804.2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mdadm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mdadm-3.1.3-0.git20100804.2.fc13

Comment 12 Fedora Update System 2010-08-10 01:30:14 UTC
mdadm-3.1.3-0.git20100804.2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mdadm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mdadm-3.1.3-0.git20100804.2.fc14

Comment 13 lars@bistromatic.de 2010-08-12 19:15:48 UTC
Still get the segmentation fault using mdadm-3.1.3-0.git20100804.2.fc13.x86_64.

Comment 14 Tristan Santore 2010-09-18 12:24:39 UTC
Yes, I also see the same problem here. I also tried the updates-testing version, and it still segfaults.

This is quite annoying, as I only now realised that my array was degraded!

I was relying on mdmonitor to dump stuff in the logs!

The priority on this is wrong! It should be high!

Comment 15 lars@bistromatic.de 2010-10-17 19:16:28 UTC
Still get the segmentation fault using current Fedora 14 beta.

Comment 16 Fedora Update System 2010-12-07 20:12:09 UTC
mdadm-3.1.3-0.git20100804.2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-12-07 20:14:05 UTC
mdadm-3.1.3-0.git20100804.2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.